<button mat-icon-button (click)="c.sidenav.open()" aria-label="menu">
	<mat-icon>menu</mat-icon>
</button>
<h1 *ngIf="c.isUserDefined">Sudoku</h1>
<div *ngIf="!c.isUserDefined">
	<button mat-button disabled matTooltip="{{ 'score' | translate }}">
		{{ c.score }}
		<mat-icon>grade</mat-icon>
	</button>
	<button mat-button disabled matTooltip="{{ 'level' | translate }}">
		{{ "level." + c.level | translate }}
	</button>
	<button
		mat-button
		disabled
		*ngIf="!c.isSolved()"
		matTooltip="{{ 'pointsToWin' | translate }}"
	>
		{{ c.pointsToWin }}
		<mat-icon>timer</mat-icon>
	</button>
</div>
<img
	style="border-radius: 50%;"
	*ngIf="c.userInfo; let userInfo; else: favicon"
	[src]="userInfo.photoURL || 'assets/no-photo.png'"
	alt="{{ userInfo.displayName }}"
	matTooltip="{{ userInfo.displayName }}"
/>
<ng-template #favicon>
	<button
		mat-icon-button
		(click)="c.login()"
		matTooltip="{{ 'login' | translate }}"
	>
		<img src="angular-sudoku.svg" alt="{{ 'login' | translate }}" />
	</button>
</ng-template>
